package middlewares

import (
	"quyun/pkg/utils"

	"github.com/gofiber/fiber/v3"
	log "github.com/sirupsen/logrus"
)

func (f *Middlewares) DebugMode(ctx fiber.Ctx) error {
	log.Infof("DEBUG: [%s] %s", ctx.Method(), utils.FullURI(ctx))
	return ctx.Next()
}
